org.richfaces.renderkit.html.images

## Class TreeLineImage

- java.lang.Object
- - org.richfaces.resource.AbstractJava2DUserResource
  - - org.richfaces.renderkit.html.images.TreeLineImage

- All Implemented Interfaces:
    Java2DUserResource, StateHolderResource
  Direct Known Subclasses:
    TreeLineLastImage

      public class TreeLineImage
      extends AbstractJava2DUserResource
      implements StateHolderResource

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Integer` | `trimColorValue`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `TreeLineImage()`
    `protected` | `TreeLineImage(Dimension dimension)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()`
    `boolean` | `isTransient()`
    `void` | `paint(Graphics2D g2d)`
    `void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
    `void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

    - ### Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource

      `getDimension, getImageType, getLastModified, getResponseHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### trimColorValue

          protected Integer trimColorValue

  - ### Constructor Detail

    - #### TreeLineImage

          public TreeLineImage()

    - #### TreeLineImage

          protected TreeLineImage(Dimension dimension)

  - ### Method Detail

    - #### init

          public void init()

    - #### paint

          public void paint(Graphics2D g2d)

      Specified by:
        `paint` in interface `Java2DUserResource`

    - #### writeState

          public void writeState(javax.faces.context.FacesContext context,
                        DataOutput dataOutput)
                          throws IOException

      Specified by:
        `writeState` in interface `StateHolderResource`
      Throws:
        `IOException`

    - #### readState

          public void readState(javax.faces.context.FacesContext context,
                       DataInput dataInput)
                         throws IOException

      Specified by:
        `readState` in interface `StateHolderResource`
      Throws:
        `IOException`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `StateHolderResource`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.